image: docker:latest

services:
  - docker:dind

stages:
  - build

applicationImage:
  stage: build
  script:
    - docker build -t iulius/openhab:snapshot .
  except:
    - tags

applicationReleaseImage:
  stage: build
  script:
    - docker build -t iulius/openhab:${CI_COMMIT_TAG} .
    - docker build -t iulius/openhab:latest .
    - docker login -u ${DOCKER_HUB_USER} -p ${DOCKER_HUB_PASSWORD}
    - docker push iulius/openhab:${CI_COMMIT_TAG}
    - docker push iulius/openhab:latest
  only:
    - tags